Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event
Class TaskUserEvent

    java.lang.Object
      java.util.EventObject
          org.jbpm.task.event.TaskEvent
              org.jbpm.task.event.TaskUserEvent

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  TaskClaimedEvent, TaskCompletedEvent, TaskFailedEvent, TaskSkippedEvent

    public class TaskUserEvent

extends TaskEvent
implements Externalizable

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TaskUserEvent()`
`TaskUserEvent(long taskId, String userId)`

Method Summary
`String` | `getUserId()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jbpm.task.event.TaskEvent
`getTaskId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskUserEvent

    public TaskUserEvent()

### TaskUserEvent

    public TaskUserEvent(long taskId,
                         String userId)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `TaskEvent`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `TaskEvent`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getUserId

    public String getUserId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.